Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jain.protocol.ss7.oam.mtp3
Interface Mtp3TimerProfileMBean

public abstract interface Mtp3TimerProfileMBean
extends OamTimerProfileMBean, Mtp3ManagedObjectMBean

This interface defines the specified timers for the MTP3 Protocol Layer . When this Mtp3TimerProfileMBean is created, the corresponding OamTimerVals should be created for each Timer with the correct min, max and default values set. The Timer values are based on the ITU (Q.704) and ANSI (T1.111.4) Standards.

Whenever the Protocol variant of the Protocol Layer is changed, the max, min, and default values should be automatically changed.

The comments for each Timer defined within this Timer Profile identify the default values for that Timer.

When the value of a timer (t) defined for this Mtp3TimerProfile is changed, an Mtp3AlarmNotification should be sent to all registered Mtp3AlarmNotificationListeners.
The Mtp3AlarmNotification (event) should have the following characterics:

- event.getSource().getClass().getName() == "jain.protocol.ss7.oam.mtp3.Mtp3TimerProfileMBean"
- event.getType() == OamAlarmNotification.ALARM_MO_ATTRIBUTE_VALUE_CHANGED
- event.getTimerId() == t.getTimerID()

There are no statistics that can be collected for this MBean

The following Alarms can be emitted by this MBean

- ALARM_MO_CREATED
- ALARM_MO_DELETED
- ALARM_MO_ATTRIBUTE_VALUE_CHANGED
- ALARM_TIMER_EXPIRED

The following Errors can be emitted by this MBean

- NON_OAM_RELATED_ERROR
- MTP3_ERROR_ILLEGAL_TIMER_EXPIRY

Inheritance hierarchy for JAIN OAM Timer Profiles

Version:
  1.1
Author:
  Colm Hayden & Phelim O'Doherty

Fields inherited from class jain.protocol.ss7.oam.OamManagedObjectMBean
`OBJECT_TYPE_CONCERNED_AREA, OBJECT_TYPE_GLOBAL_TITLE_ENTRY, OBJECT_TYPE_LINK, OBJECT_TYPE_LINKSET, OBJECT_TYPE_MTP2_LAYER_MANAGER, OBJECT_TYPE_MTP2_SAP, OBJECT_TYPE_MTP2_TIMER_PROFILE, OBJECT_TYPE_MTP3_LAYER_MANAGER, OBJECT_TYPE_MTP3_SAP, OBJECT_TYPE_MTP3_TIMER_PROFILE, OBJECT_TYPE_OAM_TIMER_VAL, OBJECT_TYPE_OWN_SIGNALLING_POINT, OBJECT_TYPE_ROUTE, OBJECT_TYPE_ROUTESET, OBJECT_TYPE_SCCP_ENTITY_SET, OBJECT_TYPE_SCCP_LAYER_MANAGER, OBJECT_TYPE_SCCP_ROUTING_CONTROL, OBJECT_TYPE_SCCP_SAP, OBJECT_TYPE_SCCP_TIMER_PROFILE, OBJECT_TYPE_SCREENING_TABLE, OBJECT_TYPE_TCAP_LAYER_MANAGER, OBJECT_TYPE_TCAP_NODE`

Fields inherited from class java.io.Serializable
`serialVersionUID`

Method Summary
`ObjectName` | `getMtp3TimerT1()` Returns the ObjectName of the Timer: Delay to avoid message mis-sequencing on changeover [ITU & ANSI].
`ObjectName` | `getMtp3TimerT10()` Returns the ObjectName of the Timer: Waiting to repeat signalling routeset test message [ITU & ANSI].
`ObjectName` | `getMtp3TimerT11()` Returns the ObjectName of the Timer: Transfer restricted timer [ITU & ANSI].
`ObjectName` | `getMtp3TimerT12()` Returns the ObjectName of the Timer: Waiting for uninhibit acknowledgement [ITU & ANSI].
`ObjectName` | `getMtp3TimerT13()` Returns the ObjectName of the Timer: Waiting for force uninhibit [ITU & ANSI].
`ObjectName` | `getMtp3TimerT14()` Waiting for inhibition acknowledgement [ITU & ANSI].
`ObjectName` | `getMtp3TimerT15()` Returns the ObjectName of the Timer: Waiting to start signalling routeset congestion test [ITU & ANSI].
`ObjectName` | `getMtp3TimerT16()` Returns the ObjectName of the Timer: Waiting for routeset congestion status update [ITU & ANSI].
`ObjectName` | `getMtp3TimerT17()` Returns the ObjectName of the Timer: Delay to avoid oscillation of initial alignment failure and link restart [ITU & ANSI].
`ObjectName` | `getMtp3TimerT18()` Returns the ObjectName of the Timer: Timer within a signalling point whose MTP restarts for supervising link and link set activation as well as the receipt of routing information [ITU]. Not Used [ANSI].
`ObjectName` | `getMtp3TimerT19()` Returns the ObjectName of the Timer: Supervision timer during MTP restart to avoid possible ping-pong of TFP, TFR1 and TRA messages [ITU]. Failed link craft referral timer [ANSI].
`ObjectName` | `getMtp3TimerT2()` Returns the ObjectName of the Timer: Waiting for changeover acknowledgement [ITU & ANSI].
`ObjectName` | `getMtp3TimerT20()` Returns the ObjectName of the Timer: Overall MTP restart timer at the signalling point whose MTP restarts [ITU]. Waiting to repeat local inhibit test [ANSI].
`ObjectName` | `getMtp3TimerT21()` Returns the ObjectName of the Timer: Overall MTP restart timer at a signalling point adjacent to one whose MTP restarts [ITU]. Waiting to repeat remote inhibit test [ANSI].
`ObjectName` | `getMtp3TimerT22()` Returns the ObjectName of the Timer: Local inhibit test timer [ITU]. Timer at starting SP, waiting for signalling links to become available [ANSI].
`ObjectName` | `getMtp3TimerT23()` Returns the ObjectName of the Timer: Remote inhibit test timer [ITU]. Timer at restating SP, started after Mtp3Timer22, waiting to receive all traffic restart allowed messages [ANSI].
`ObjectName` | `getMtp3TimerT24()` Returns the ObjectName of the Timer: Stabilising timer after removal of local processor outage, used in LPO latching to RPO (national option) [ITU].
`ObjectName` | `getMtp3TimerT25()` Returns the ObjectName of the Timer: Timer at SP adjacent to restarting SP, waiting for traffic restart allowed message [ANSI].
`ObjectName` | `getMtp3TimerT26()` Returns the ObjectName of the Timer: Timer at restarting SP, waiting to repeat traffic restart waiting message [ANSI].
`ObjectName` | `getMtp3TimerT27()` Returns the ObjectName of the Timer: Minimum duration of unavailability for full restart [ANSI].
`ObjectName` | `getMtp3TimerT28()` Returns the ObjectName of the Timer: Timer at SP adjacent to restarting SP, waiting for traffic restart waiting message [ANSI].
`ObjectName` | `getMtp3TimerT29()` Returns the ObjectName of the Timer: Timer started when TRA sent in response to unexpected TRA or TRW [ANSI].
`ObjectName` | `getMtp3TimerT3()` Returns the ObjectName of the Timer: Time controlled diversion-delay to avoid mis-sequencing on changeback [ITU & ANSI].
`ObjectName` | `getMtp3TimerT30()` Returns the ObjectName of the Timer: Timer to limit sending of TFPs and TFRs in response to unexpected TRA or TRW [ANSI].
`ObjectName` | `getMtp3TimerT4()` Returns the ObjectName of the Timer: Waiting for changeback acknowledgement (first attempt) [ITU & ANSI].
`ObjectName` | `getMtp3TimerT5()` Returns the ObjectName of the Timer: Waiting for changeback acknowledgement (second attempt) [ITU & ANSI].
`ObjectName` | `getMtp3TimerT6()` Returns the ObjectName of the Timer: Delay to avoid message mis-sequencing on controlled rerouting [ITU & ANSI].
`ObjectName` | `getMtp3TimerT7()` Returns the ObjectName of the Timer: Waiting for signalling data link connection acknowledgement [ITU & ANSI].
`ObjectName` | `getMtp3TimerT8()` Returns the ObjectName of the Timer: Transfer prohibited inhibition timer (transient solution) [ITU & ANSI].

Methods inherited from interface jain.protocol.ss7.oam.OamTimerProfileMBean
`initialiseTimers`

Methods inherited from interface jain.protocol.ss7.oam.OamManagedObjectMBean
`getName, getObjectId, getObjectName, getObjectType, getProprietaryInformation, getStatistic, setName, startPollingStatistic, stopPollingStatistic`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Method Detail

### getMtp3TimerT1

    public ObjectName getMtp3TimerT1()

  Returns the ObjectName of the Timer: Delay to avoid message mis-sequencing on changeover [ITU & ANSI].

  Timer ID: 201
  Reference: ITU Q.704, Section 16.8. T1.111.4, Section 16.7
  Default Values: Not Specified
  ITU - Min: 500 ms, Max: 1200 ms, Default: 850 ms
  ANSI - Min: 500 ms, Max: 1200 ms, Default: 850 ms

### getMtp3TimerT2

    public ObjectName getMtp3TimerT2()

  Returns the ObjectName of the Timer: Waiting for changeover acknowledgement [ITU & ANSI].

  Timer ID: 202
  Reference: ITU Q.704, Section 16.8. T1.111.4, Section 16.7
  Default Values: Not Specified
  ITU - Min: 700 ms, Max: 2000 ms, Default: 1350 ms
  ANSI - Min: 700 ms, Max: 2000 ms, Default: 1350 ms

### getMtp3TimerT3

    public ObjectName getMtp3TimerT3()

  Returns the ObjectName of the Timer: Time controlled diversion-delay to avoid mis-sequencing on changeback [ITU & ANSI].

  Timer ID: 203
  Reference: ITU Q.704, Section 16.8. T1.111.4, Section 16.7
  Default Values: Not Specified
  ITU - Min: 500 ms, Max: 1200 ms, Default: 850 ms
  ANSI - Min: 500 ms, Max: 1200 ms, Default: 850 ms

### getMtp3TimerT4

    public ObjectName getMtp3TimerT4()

  Returns the ObjectName of the Timer: Waiting for changeback acknowledgement (first attempt) [ITU & ANSI].

  Timer ID: 204
  Reference: ITU Q.704, Section 16.8. T1.111.4, Section 16.7
  Default Values: Not Specified
  ITU - Min: 500 ms, Max: 1200 ms, Default: 850 ms
  ANSI - Min: 500 ms, Max: 1200 ms, Default: 850 ms

### getMtp3TimerT5

    public ObjectName getMtp3TimerT5()

  Returns the ObjectName of the Timer: Waiting for changeback acknowledgement (second attempt) [ITU & ANSI].

  Timer ID: 205
  Reference: ITU Q.704, Section 16.8. T1.111.4, Section 16.7
  Default Values: Not Specified
  ITU - Min: 500 ms, Max: 1200 ms, Default: 850 ms
  ANSI - Min: 500 ms, Max: 1200 ms, Default: 850 ms

### getMtp3TimerT6

    public ObjectName getMtp3TimerT6()

  Returns the ObjectName of the Timer: Delay to avoid message mis-sequencing on controlled rerouting [ITU & ANSI].

  Timer ID: 206
  Reference: ITU Q.704, Section 16.8. T1.111.4, Section 16.7
  Default Values: Not Specified
  ITU - Min: 500 ms, Max: 1200 ms, Default: 850 ms
  ANSI - Min: 500 ms, Max: 1200 ms, Default: 850 ms

### getMtp3TimerT7

    public ObjectName getMtp3TimerT7()

  Returns the ObjectName of the Timer: Waiting for signalling data link connection acknowledgement [ITU & ANSI].

  Timer ID: 207
  Reference: ITU Q.704, Section 16.8. T1.111.4, Section 16.7
  Default Values: Not Specified
  ITU - Min: 1000 ms, Max: 2000 ms, Default: 1500 ms
  ANSI - Min: 1000 ms, Max: 2000 ms, Default: 1500 ms

### getMtp3TimerT8

    public ObjectName getMtp3TimerT8()

  Returns the ObjectName of the Timer: Transfer prohibited inhibition timer (transient solution) [ITU & ANSI].

  Timer ID: 208
  Reference: ITU Q.704, Section 16.8. T1.111.4, Section 16.7
  Default Values: Not Specified
  ITU - Min: 800 ms, Max: 1200 ms, Default: 1000 ms
  ANSI - Min: 800 ms, Max: 1200 ms, Default: 1000 ms

### getMtp3TimerT10

    public ObjectName getMtp3TimerT10()

  Returns the ObjectName of the Timer: Waiting to repeat signalling routeset test message [ITU & ANSI].

  Timer ID: 210
  Reference: ITU Q.704, Section 16.8. T1.111.4, Section 16.7
  Default Values: Not Specified
  ITU - Min: 30000 ms, Max: 60000 ms, Default: 4500 ms
  ANSI - Min: 30000 ms, Max: 60000 ms, Default: 4500 ms

### getMtp3TimerT11

    public ObjectName getMtp3TimerT11()

  Returns the ObjectName of the Timer: Transfer restricted timer [ITU & ANSI].

  Timer ID: 211
  Reference: ITU Q.704, Section 16.8. T1.111.4, Section 16.7
  Default Values: Not Specified
  ITU - Min: 30000 ms, Max: 90000 ms, Default: 6000 ms
  ANSI - Min: 30000 ms, Max: 90000 ms, Default: 6000 ms

### getMtp3TimerT12

    public ObjectName getMtp3TimerT12()

  Returns the ObjectName of the Timer: Waiting for uninhibit acknowledgement [ITU & ANSI].

  Timer ID: 212
  Reference: ITU Q.704, Section 16.8. T1.111.4, Section 16.7
  Default Values: Not Specified
  ITU - Min: 800 ms, Max: 1500 ms, Default: 1150 ms
  ANSI - Min: 800 ms, Max: 1500 ms, Default: 1150 ms

### getMtp3TimerT13

    public ObjectName getMtp3TimerT13()

  Returns the ObjectName of the Timer: Waiting for force uninhibit [ITU & ANSI].

  Timer ID: 213
  Reference: ITU Q.704, Section 16.8. T1.111.4, Section 16.7
  Default Values: Not Specified
  ITU - Min: 800 ms, Max: 1500 ms, Default: 1150 ms
  ANSI - Min: 800 ms, Max: 1500 ms, Default: 1150 ms

### getMtp3TimerT14

    public ObjectName getMtp3TimerT14()

  Waiting for inhibition acknowledgement [ITU & ANSI].

  Timer ID: 214
  Reference: ITU Q.704, Section 16.8. T1.111.4, Section 16.7
  Default Values: Not Specified
  ITU - Min: 2000 ms, Max: 3000 ms, Default: 2500 ms
  ANSI - Min: 2000 ms, Max: 3000 ms, Default: 2500 ms

### getMtp3TimerT15

    public ObjectName getMtp3TimerT15()

  Returns the ObjectName of the Timer: Waiting to start signalling routeset congestion test [ITU & ANSI].

  Timer ID: 215
  Reference: ITU Q.704, Section 16.8. T1.111.4, Section 16.7
  Default Values: Not Specified
  ITU - Min: 2000 ms, Max: 3000 ms, Default: 2500 ms
  ANSI - Min: 2000 ms, Max: 3000 ms, Default: 2500 ms

### getMtp3TimerT16

    public ObjectName getMtp3TimerT16()

  Returns the ObjectName of the Timer: Waiting for routeset congestion status update [ITU & ANSI].

  Timer ID: 216
  Reference: ITU Q.704, Section 16.8. T1.111.4, Section 16.7
  Default Values: Not Specified
  ITU - Min: 1400 ms, Max: 2000 ms, Default: 1700 ms
  ANSI - Min: 1400 ms, Max: 2000 ms, Default: 1700 ms

### getMtp3TimerT17

    public ObjectName getMtp3TimerT17()

  Returns the ObjectName of the Timer: Delay to avoid oscillation of initial alignment failure and link restart [ITU & ANSI].

  Timer ID: 217
  Reference: ITU Q.704, Section 16.8. T1.111.4, Section 16.7
  Default Values: Not Specified
  ITU - Min: 800 ms, Max: 1500 ms, Default: 1150 ms
  ANSI - Min: 800 ms, Max: 1500 ms, Default: 1150 ms

### getMtp3TimerT18

    public ObjectName getMtp3TimerT18()

  Returns the ObjectName of the Timer: Timer within a signalling point whose MTP restarts for supervising link and link set activation as well as the receipt of routing information [ITU].
  Not Used [ANSI].

  Timer ID: 218
  Reference: ITU Q.704, Section 16.8. T1.111.4, Section 16.7
  Recomended Range: The value is implementation and network dependent. Criteria to choose T18 are given in ITU-T Rec. Q.704 9.2. [ITU] The max, min and default values are set initially to 0. These should then be set to their correct values.

### getMtp3TimerT19

    public ObjectName getMtp3TimerT19()

  Returns the ObjectName of the Timer: Supervision timer during MTP restart to avoid possible ping-pong of TFP, TFR1 and TRA messages [ITU].
  Failed link craft referral timer [ANSI].

  Timer ID: 219
  Reference: ITU Q.704, Section 16.8. T1.111.4, Section 16.7
  Default Values: Not Specified
  ITU - Min: 67000 ms, Max: 69000 ms, Default: 68000 ms
  ANSI - Min: 480000 ms, Max: 600000 ms, Default: 540000 ms

### getMtp3TimerT20

    public ObjectName getMtp3TimerT20()

  Returns the ObjectName of the Timer: Overall MTP restart timer at the signalling point whose MTP restarts [ITU].
  Waiting to repeat local inhibit test [ANSI].

  Timer ID: 220
  Reference: ITU Q.704, Section 16.8. T1.111.4, Section 16.7
  Default Values: Not Specified
  ITU - Min: 59000 ms, Max: 61000 ms, Default: 60000 ms
  ANSI - Min: 90 ms, Max: 120 ms, Default: 105 ms

### getMtp3TimerT21

    public ObjectName getMtp3TimerT21()

  Returns the ObjectName of the Timer: Overall MTP restart timer at a signalling point adjacent to one whose MTP restarts [ITU].
  Waiting to repeat remote inhibit test [ANSI].

  Timer ID: 221
  Reference: ITU Q.704, Section 16.8. T1.111.4, Section 16.7
  Default Values: Not Specified
  ITU - Min: 63000 ms, Max: 65000 ms, Default: 64000 ms
  ANSI - Min: 90000 ms, Max: 120000 ms, Default: 105000 ms

### getMtp3TimerT22

    public ObjectName getMtp3TimerT22()

  Returns the ObjectName of the Timer: Local inhibit test timer [ITU].
  Timer at starting SP, waiting for signalling links to become available [ANSI].

  Timer ID: 222
  Reference: ITU Q.704, Section 16.8. T1.111.4, Section 16.7
  Default Values: Not Specified
  ITU - Min: 180000 ms, Max: 360000 ms, Default: 240000 ms
  ANSI - Network dependent: The max, min and default values are set initially to 0. These should then be set to their correct values.

### getMtp3TimerT23

    public ObjectName getMtp3TimerT23()

  Returns the ObjectName of the Timer: Remote inhibit test timer [ITU].
  Timer at restating SP, started after Mtp3Timer22, waiting to receive all traffic restart allowed messages [ANSI].

  Timer ID: 223
  Reference: ITU Q.704, Section 16.8. T1.111.4, Section 16.7
  Default Values: Not Specified
  ITU - Min: 180000 ms, Max: 360000 ms, Default: 240000 ms
  ANSI - Network dependent: The max, min and default values are set initially to 0. These should then be set to their correct values.

### getMtp3TimerT24

    public ObjectName getMtp3TimerT24()

  Returns the ObjectName of the Timer: Stabilising timer after removal of local processor outage, used in LPO latching to RPO (national option) [ITU].
  Timer at restarting SP, started after Mtp3Timer22, waiting to broadcast all traffic restart allowed messages [ANSI].

  Timer ID: 224
  Reference: ITU Q.704, Section 16.8. T1.111.4, Section 16.7
  Default Values: Not Specified
  ITU - Min: 500 ms, Max: 500 ms, Default: 500 ms
  ANSI - Network dependent: The max, min and default values are set initially to 0. These should then be set to their correct values.

### getMtp3TimerT25

    public ObjectName getMtp3TimerT25()

  Returns the ObjectName of the Timer: Timer at SP adjacent to restarting SP, waiting for traffic restart allowed message [ANSI].

  Timer ID: 225
  Reference: T1.111.4, Section 16.7
  Default Values: Not Specified
  ANSI - Min: 30000 ms, Max: 35000 ms, Default: 32500 ms

### getMtp3TimerT26

    public ObjectName getMtp3TimerT26()

  Returns the ObjectName of the Timer: Timer at restarting SP, waiting to repeat traffic restart waiting message [ANSI].

  Timer ID: 226
  Reference: T1.111.4, Section 16.7
  Default Values: Not Specified
  ANSI - Min: 12000 ms, Max: 15000 ms, Default: 13500 ms

### getMtp3TimerT27

    public ObjectName getMtp3TimerT27()

  Returns the ObjectName of the Timer: Minimum duration of unavailability for full restart [ANSI].

  Timer ID: 227
  Reference: T1.111.4, Section 16.7
  Default Values: Not Specified
  ANSI - Min: 2000 ms, Max: 5000 ms, Default: 3500 ms

### getMtp3TimerT28

    public ObjectName getMtp3TimerT28()

  Returns the ObjectName of the Timer: Timer at SP adjacent to restarting SP, waiting for traffic restart waiting message [ANSI].

  Timer ID: 228
  Reference: T1.111.4, Section 16.7
  Default Values: Not Specified
  ANSI - Min: 3000 ms, Max: 35000 ms, Default: 19000 ms

### getMtp3TimerT29

    public ObjectName getMtp3TimerT29()

  Returns the ObjectName of the Timer: Timer started when TRA sent in response to unexpected TRA or TRW [ANSI].

  Timer ID: 229
  Reference: T1.111.4, Section 16.7
  Default Values: Not Specified
  ANSI - Min: 60000 ms, Max: 65000 ms, Default: 62500 ms

### getMtp3TimerT30

    public ObjectName getMtp3TimerT30()

  Returns the ObjectName of the Timer: Timer to limit sending of TFPs and TFRs in response to unexpected TRA or TRW [ANSI].

  Timer ID: 230
  Reference: T1.111.4, Section 16.7
  Default Values: Not Specified
  ANSI - Min: 30000 ms, Max: 35000 ms, Default: 32500 ms

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

11 August 2000

Copyright - 2000 Sun Microsystems